/* lcg.c
 * Small Programm to test simple linear congruential generator
 *
 * Copyright 2004, Holger Fuessler <fuessler@informatik.uni-mannheim.de>
 *
 * $Id: lcg.c,v 1.1 2004/05/06 12:01:15 fuessler Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include <stdio.h>
#include <stdlib.h>

#define SEED 7
#define MULTIPLIER 5 
#define MODULUS 16
#define INCREMENT 3
#define NO_DRAWINGS 100

int main(int argc, char** argv)
{
	long i;
	long z[NO_DRAWINGS];
	double u[NO_DRAWINGS];
	
	z[0] = SEED;
	u[0] = ((double) z[0]) / MODULUS;
	for (i = 1; i < NO_DRAWINGS; i++){
			z[i] = (5 * z[i-1] + 3) % MODULUS;
			u[i] = ((double) z[i]) / MODULUS;	
	}
	
	for (i = 0; i < NO_DRAWINGS; i++){
		printf("i: %ld\tz[i]: %-5ld\tu[i]: %10.9f\n", i, z[i], u[i]); 
	}
	
	exit(-1);
}

